import request from '@/utils/request'
export function pageProjectList(data) {
  console.log('data==', data)
  return request({
    url: '/salpa/subject/project/pageList',
    method: 'post',
    data: data
  })
}
export function addProject(data) {
  return request({
    url: '/salpa/subject/project/addProject',
    method: 'post',
    data: data
  })
}

export function getProjectById(id) {
  return request({
    url: '/salpa/subject/project/getNewProjectById?id=' + id,
    method: 'get'
  })
}

export function updateProject(data) {
  return request({
    url: '/salpa/subject/project/updateNewProject',
    method: 'post',
    data: data
  })
}

export function delNewProject(id) {
  return request({
    url: '/salpa/subject/project/deleteNewProject?id=' + id,
    method: 'delete'
  })
}

